WLan mit Kommandozeile einrichten?

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema WLan mit Kommandozeile einrichten? gibt es 9 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • WLan mit Kommandozeile einrichten?

    Hi

    Ich habe auf einem Laptop zypper dup ausgeführt und mittendrin ist der Bildschirm schwarz geworden. Nun kann ich KDE nicht mehr starten. Wenn ich Plasma auswähle steht in roter Schrift:

    Fehlermeldung schrieb:

    The current theme cannot be loaded due to errors below, please select another theme


    file:///usr/share/ssdm/themes/breeze-opensuse/mail.qml:113:0: Tyoe WallpaperFader unavailable
    file:///usr/share/ssdm/breeze-opensuse/components/wallpaperfader.qml:28:1 plugin cannot be loaded for module "org.kde.plasma.private.sessions"......
    Es geht noch etwas weiter aber die Schrift ist rot auf blau auf einem winzigen Laptop bei dem ich kein Internet habe (kein c&p), was mich zu meinem Problem zurück bringt.

    Ich kann oben links statt Plasma auch IceWM Session auswählen, dann startet eine grafische Oberfläche. In IceWM komme ich an eine Konsole und kann per lspci sehen dass die Karte da ist, iwconfig zeit mir wlo2 ohne access point, aber ich weiß nicht wie ich diese Karte konfigurieren kann. In icewm startet so gut wie kein configurationsproramm, yast sagt mir dass ich networkmanager nutze und es nichts machen kann, es verschweigt mir aber was die alternative ist und alle Suchen endeten bisher entweder in Threads die ohne Antwort blieben, oder sie nutzen Tools die nicht installiert sind oder nicht starten.

    Leider hat der Laptop auch kein ethernet, aktuell komme ich mit dem also gar nichts online, ein weiteres zypper dup funktioniert leider nicht.

    Danke schon mal

    Für den Inhalt des Beitrages 136088 haftet ausdrücklich der jeweilige Autor: Kessl

  • Wenn du den NetworkManager verwendest, dann kannst du nmcli oder nmtui bzw. nmtui-connect auf der Konsole verwenden. Eine Alternative wäre Wicked/YaST zu verwenden (geht auch über die Konsole). Wie du vom NetworkManager auf Wicked umstellst ist u.a. hier beschrieben: linux-club.de/wiki/opensuse/Ne…wicked_auf_NetworkManager. nmtui ist aber auch einfach zu verwenden. Wenn du noch GNOME installiert hast, kannst du auch dessen NetworkManager-Applet mittels nm-applet aufrufen, funktioniert auch unter IceWM usw.

    Für den Inhalt des Beitrages 136089 haftet ausdrücklich der jeweilige Autor: tomfa-ng

  • Bin ich jetzt schon drin? Das ging ja leicht. Vielen Dank dafür.

    Hat mich aber nicht wirklich weiter gebracht. zypper dup kann über 123 Pakete nicht entfernen und diese Pakete bekomme ich auch mit yast nicht runter. Keine Ahnung was da schief gelaufen ist. Plasma startet noch immer nicht.

    Wenn ich die Pakete mir rpm -e NAME runter schmeißen will sagt er mir "specifies multiple packages". Wenn es dann mit rpm -e --allmatches NAME runter werfe bekomme ich zwar keine Fehlermeldung, aber das Paket scheint dennoch nicht runter zu sein. Bei einem erneuten zypper dup ist das Paket noch zu sehen und es sind weiterhin 123 Pakete die er gerne entfernen würde, es aber nicht kann.

    Ich glaube mein system ist ganz schön zerschossen. ~

    Für den Inhalt des Beitrages 136099 haftet ausdrücklich der jeweilige Autor: Kessl

  • Kessl schrieb:

    Wenn ich die Pakete mir rpm -e NAME runter schmeißen will sagt er mir "specifies multiple packages". Wenn es dann mit rpm -e --allmatches NAME runter werfe bekomme ich zwar keine Fehlermeldung, aber das Paket scheint dennoch nicht runter zu sein. Bei einem erneuten zypper dup ist das Paket noch zu sehen und es sind weiterhin 123 Pakete die er gerne entfernen würde, es aber nicht kann.
    Dann poste mal zypper dup
    sowie:

    Quellcode

    1. zypper lr -d
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 136102 haftet ausdrücklich der jeweilige Autor: Sauerland

  • zypper dup schrieb:


    Loading repository data...Reading installed packages...Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.Computing distribution upgrade...The following 123 packages are going to be REMOVED: akonadi-notes-lang ark baloo5-file baloo5-imports baloo5-kioslaves baloo5-tools baloo5-widgets ffmpegthumbs-lang frameworkintegration-plugin kaccounts-integration kaccounts-providers kactivitymanagerd-lang kcalc-lang kcalutils kcharselect-lang kcontacts-lang kde-cli-tools5 kde-print-manager-lang kdegraphics-thumbnailers kdelibs4support kdenetwork-filesharing-lang kdepim-runtime kfilemetadata5-lang kimap-lang kio-extras5 kio_audiocd kipi-plugins kipi-plugins-lang kitinerary kldap kldap-lang kleopatra kmag-lang kmahjongg kmahjongg-lang kmail-account-wizard kmailtransport kmime-lang kmines kmines-lang kmousetool konsole-part konsole-part-lang kontactinterface-lang kpat kpat-lang kpeople5-lang kreversi kreversi-lang kross kross-lang ksudoku ksudoku-lang ktexteditor kwallet-tools-lang kwalletd5 kwalletd5-lang kwalletmanager5-lang libKF5AkonadiCore5 libKF5AkonadiNotes5 libKF5AkonadiWidgets5 libKF5AkonadiXml5 libKF5Baloo5 libKF5GrantleeTheme5 libKF5IMAP5 libKF5JsEmbed5-lang libKF5KDELibs4Support5 libKF5KHtml5 libKF5KontactInterface5 libKF5Libkdepim5 libKF5Mbox5 libKF5NotifyConfig5 libKF5Parts5-lang libKF5PimTextEdit5 libKF5Pty5-lang libKF5Su5 libKF5Su5-lang libKF5SyntaxHighlighting5-lang libKF5UnitConversion5-lang libKF5XmlRpcClient5-lang libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5 libKPimGAPITasks5 libKPimImportWizard5 libKPimItinerary5 libQt5HunspellInputMethod5 libkerfuffle19 libkf5kdegames6 libkgapi-lang libkomparediff2-lang libksane-lang libqt5-qtvirtualkeyboard libqt5-qtvirtualkeyboard-hunspell libqt5-qtwayland libyui-ncurses-pkg10 mbox-importer phonon4qt5-lang phononsettings-lang pim-data-exporter pim-sieve-editor plasma-framework-components plasma-framework-lang plasma-nm5 plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp plasma5-desktop plasma5-integration-plugin-lang plasma5-session plasma5-session-wayland plasma5-workspace plasma5-workspace-branding-openSUSE plasma5-workspace-libs powerdevil5 prison-qt5-imports purpose sddm-theme-openSUSE syntax-highlighting systemsettings5 xdg-desktop-portal-kde-lang yast2-control-center-qt yast2-packager123 packages to remove.After the operation, 147.6 MiB will be freed.Continue? [y/n/v/...? shows all options] (y): ( 1/123) Removing akonadi-notes-lang-19.08.0-1.2.noarch [....error]Abort, retry, ignore? [a/r/i] (a):

    zypper lr -d schrieb:


    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service--+--------------------------------------+-----------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------+--------1 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | Index of /suse/openSUSE_Tumbleweed/ | 2 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | Index of /debug/tumbleweed/repo/oss | 3 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | Index of /tumbleweed/repo/non-oss | 4 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | Index of /tumbleweed/repo/oss | 5 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | Index of /source/tumbleweed/repo/oss | 6 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | Index of /repositories/openSUSE:/Factory:/Update/standard |

    Für den Inhalt des Beitrages 136103 haftet ausdrücklich der jeweilige Autor: Kessl

  • Bitte für Konsolenausgaben kein Zitat sondern Code nehmen: auf </> klicken und in das Fenster kopieren----speichern.
    Dann bleiben die Formatierungen der Konsole erhalten.

    So ist das unlesbar.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 136104 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Quellcode

    1. Loading repository data...
    2. Reading installed packages...
    3. Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
    4. Computing distribution upgrade...
    5. The following 123 packages are going to be REMOVED:
    6. akonadi-notes-lang ark baloo5-file baloo5-imports baloo5-kioslaves baloo5-tools baloo5-widgets ffmpegthumbs-lang frameworkintegration-plugin kaccounts-integration kaccounts-providers kactivitymanagerd-lang kcalc-lang kcalutils kcharselect-lang kcontacts-lang kde-cli-tools5 kde-print-manager-lang kdegraphics-thumbnailers kdelibs4support kdenetwork-filesharing-lang kdepim-runtime kfilemetadata5-lang kimap-lang kio-extras5 kio_audiocd kipi-plugins kipi-plugins-lang kitinerary kldap kldap-lang kleopatra kmag-lang kmahjongg kmahjongg-lang kmail-account-wizard kmailtransport kmime-lang kmines kmines-lang kmousetool konsole-part konsole-part-lang kontactinterface-lang kpat kpat-lang kpeople5-lang kreversi kreversi-lang kross kross-lang ksudoku ksudoku-lang ktexteditor kwallet-tools-lang kwalletd5 kwalletd5-lang kwalletmanager5-lang libKF5AkonadiCore5 libKF5AkonadiNotes5 libKF5AkonadiWidgets5 libKF5AkonadiXml5 libKF5Baloo5 libKF5GrantleeTheme5 libKF5IMAP5 libKF5JsEmbed5-lang libKF5KDELibs4Support5 libKF5KHtml5 libKF5KontactInterface5 libKF5Libkdepim5 libKF5Mbox5 libKF5NotifyConfig5 libKF5Parts5-lang libKF5PimTextEdit5 libKF5Pty5-lang libKF5Su5 libKF5Su5-lang libKF5SyntaxHighlighting5-lang libKF5UnitConversion5-lang libKF5XmlRpcClient5-lang libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5 libKPimGAPITasks5 libKPimImportWizard5 libKPimItinerary5 libQt5HunspellInputMethod5 libkerfuffle19 libkf5kdegames6 libkgapi-lang libkomparediff2-lang libksane-lang libqt5-qtvirtualkeyboard libqt5-qtvirtualkeyboard-hunspell libqt5-qtwayland libyui-ncurses-pkg10 mbox-importer phonon4qt5-lang phononsettings-lang pim-data-exporter pim-sieve-editor plasma-framework-components plasma-framework-lang plasma-nm5 plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp plasma5-desktop plasma5-integration-plugin-lang plasma5-session plasma5-session-wayland plasma5-workspace plasma5-workspace-branding-openSUSE plasma5-workspace-libs powerdevil5 prison-qt5-imports purpose sddm-theme-openSUSE syntax-highlighting systemsettings5 xdg-desktop-portal-kde-lang yast2-control-center-qt yast2-packager
    7. 123 packages to remove.
    8. After the operation, 147.6 MiB will be freed.
    9. Continue? [y/n/v/...? shows all options] (y): ( 1/123) Removing akonadi-notes-lang-19.08.0-1.2.noarch [....error]
    10. Abort, retry, ignore? [a/r/i] (a):
    Alles anzeigen

    Brainfuck-Quellcode

    1. # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    2. --+--------------------------------------+-----------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------+--------
    3. 1 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/ |
    4. 2 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    5. 3 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    6. 4 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/ |
    7. 5 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/tumbleweed/repo/oss/ |
    8. 6 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |

    Für den Inhalt des Beitrages 136105 haftet ausdrücklich der jeweilige Autor: Kessl

  • Als root:

    Quellcode

    1. rpm --rebuilddb

    Quellcode

    1. zypper clean -a

    Quellcode

    1. zypper ref

    Quellcode

    1. zypper dup --allow-vendor-change
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 136106 haftet ausdrücklich der jeweilige Autor: Sauerland

  • zypper läuft inzwischen ohne Fehlermedung durch, aber kde startet noch immer nicht. Ich warte mal bis zum Wochenende, vielleicht beheben neue Pakete das Problem von alleine, oder ich schmeiße vielleicht mal kde runter und installiere es neu.

    Aber wenigstens produziert emerge keinen Fehler mehr, danke.

    Für den Inhalt des Beitrages 136158 haftet ausdrücklich der jeweilige Autor: Kessl

  • aber kde startet noch immer nicht
    Neuer User?
    Startet XFCE?

    Poste:

    Quellcode

    1. zypper se -si plasma5
    Aber dafür bitte einen Extra Beitrag eröffnen, denn hier ging es um Wlan, welches ja gelöst ist.....(hab ich markiert)
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 136160 haftet ausdrücklich der jeweilige Autor: Sauerland